<!DOCTYPE html>
<!--[if lt IE 7]>
<html lang="en" ng-app="PriogenFrontend" class="no-js lt-ie9 lt-ie8 lt-ie7"> <![endif]-->
<!--[if IE 7]>
<html lang="en" ng-app="PriogenFrontend" class="no-js lt-ie9 lt-ie8"> <![endif]-->
<!--[if IE 8]>
<html lang="en" ng-app="PriogenFrontend" class="no-js lt-ie9"> <![endif]-->
<!--[if gt IE 8]><!-->
<!--suppress ALL -->
<html lang="en" ng-app="PriogenFrontend" class="no-js"> <!--<![endif]-->
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>My AngularJS App</title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="bower_components/html5-boilerplate/dist/css/normalize.css">
    <link rel="stylesheet" href="bower_components/html5-boilerplate/dist/css/main.css">
    <link rel="stylesheet" href="app.css">
    <script src="bower_components/html5-boilerplate/dist/js/vendor/modernizr-2.8.3.min.js"></script>
</head>
<body>
<!--[if lt IE 7]>
<p class="browsehappy">You are using an <strong>outdated</strong> browser. Please <a href="http://browsehappy.com/">upgrade
    your browser</a> to improve your experience.</p>
<![endif]-->

<div ng-app="PriogenFrontend" ng-controller="GraphController">
    <div style=" float:right">
        <div>
            <div>
                Set interval SliderRange (days)
                <select ng-model="graphData.intervalSlider"
                        ng-options="intervalOption as intervalOption for intervalOption in graphData.intervalOptions">
                </select>
            </div>
            <div>
                Set Bounding Box size (km from center)
                <input type="number" ng-model="graphData.bBoxSize" min="1" max="1000">
            </div>
            <div>
                Select graph to display in the map.
                <select ng-options=" data.name for data in graphData.data track by data.id" ng-model="graphData.selectedGraph">
                    <option value="" disabled selected>Select Graph</option>
                </select>
            </div>
        </div>
        <div>
            Select Data to display in Graph
        </div>
        <div ng-repeat="selectable in selectableData[0].availableNames  ">
            <div ng-style="{'background-color': selectableData[0].getColor(selectable)}" ng-click="selectGraph(selectableData[0], selectable)" >{{selectable}}</div>
        </div>

    </div>
    <div style=" display: inline-block; width:960px">
        <line-graph interval="graphData.intervalSlider"
                    data="graphData.data"
                    slider-selected="graphData.selectedDateSlider"
                    graph-selected="graphData.selectedDateLineGraph">
        </line-graph>
        <time-setter start="graphData.startDateSlider" interval="graphData.intervalSlider" data="graphData.data"
                     slider-selected="graphData.selectedDateSlider"></time-setter>

        <map selected-graph="graphData.selectedGraph"
             nearby-data="graphData.nearbyData"
        ></map>

    </div>



</div>
<!-- In production use:
<script src="//ajax.googleapis.com/ajax/libs/angularjs/x.x.x/angular.min.js"></script>
-->
<script type="text/javascript" src="bower_components/angular/angular.js"></script>
<script type="text/javascript" src="bower_components/angular-route/angular-route.min.js"></script>
<script type="text/javascript" src="bower_components/angular-strap/dist/angular-strap.js"></script>
<script type="text/javascript" src="bower_components/angular-strap/dist/angular-strap.tpl.js"></script>
<script src="https://d3js.org/d3.v4.js"></script>
<script src="https://d3js.org/d3-selection-multi.v0.4.min.js"></script>
<script src="https://unpkg.com/@turf/turf@3.5.2/turf.min.js"></script>
<link rel="stylesheet" href="https://openlayers.org/en/v3.20.1/css/ol.css" type="text/css">
<script src="https://d3js.org/topojson.v1.min.js"></script>

<script src="https://openlayers.org/en/v3.20.1/build/ol.js" type="text/javascript"></script>
<script src="app.js"></script>
<script src="services/DataService.js"></script>
<script src="components/GraphController.js"></script>
<script src="classes/DataSet.js"></script>
<script src="classes/SelectableSimpleData.js"></script>
<script src="directives/graphs/LineGraphDirective.js"></script>
<script src="directives/graphs/MapDirective.js"></script>
<script src="directives/uiElements/timeSetter/timeSetterDirective.js"></script>

</body>
</html>
